anytree==2.8.0
APScheduler==3.8.1
fastcache==1.1.0
Jinja2==3.0.3
ncclient==0.6.13
p4runtime==1.3.0
paramiko==2.9.2
python-json-logger==2.0.2
pytz==2021.3
redis==4.1.2
requests==2.27.1
xmltodict==0.12.0

# pip's dependency resolver does not take into account installed packages.
# p4runtime does not specify the version of grpcio/protobuf it needs, so it tries to install latest one
# adding here again grpcio==1.47.* and protobuf==3.20.* with explicit versions to prevent collisions
grpcio==1.47.*
protobuf==3.20.*
